/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.artifacts.uinfo.inundationduration;

import org.dive4elements.river.artifacts.uinfo.inundationduration.UedauernConfiguration.YearType;

/** State in which to fetch years for sedminent load calculation. */
public class WMSEpochSelectState extends AbstractYearEpochUrlState {
    private static final long serialVersionUID = 1L;

    /**
     * The default constructor that initializes an empty State object.
     */
    public WMSEpochSelectState() {
        super(YearType.mittel);
    }

    @Override
    protected String getUIProvider() {
        return "uinfo.inundation.wms_epoch";
    }

    @Override
    protected String getDatakey() {
        return "year_epoch_select";
    }
}